"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTagNode = void 0;
const react_1 = __importDefault(require("react"));
const processNodes_1 = require("../processNodes");
const generatePropsFromAttributes_1 = require("../utils/generatePropsFromAttributes");
const isValidTagOrAttributeName_1 = require("../utils/isValidTagOrAttributeName");
const domhandler_1 = require("domhandler");
const VoidElements_1 = require("../dom/elements/VoidElements");
function processTagNode(node, index, transform) {
    if (!domhandler_1.isTag(node)) {
        return null;
    }
    const tagName = node.tagName;
    if (!isValidTagOrAttributeName_1.isValidTagOrAttributeName(tagName)) {
        return null;
    }
    const props = generatePropsFromAttributes_1.generatePropsFromAttributes(node.attribs, index);
    let children = null;
    if (VoidElements_1.VOID_ELEMENTS.indexOf(tagName) === -1) {
        children = processNodes_1.processNodes(node.children, transform);
    }
    return react_1.default.createElement(tagName, props, children);
}
exports.processTagNode = processTagNode;
