"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapHtmlAttributesToReactElementAttributes = void 0;
const BooleanAttributes_1 = require("../dom/attributes/BooleanAttributes");
const ReactAttributes_1 = require("../dom/attributes/ReactAttributes");
const isValidTagOrAttributeName_1 = require("./isValidTagOrAttributeName");
const getParsedAttributeValue = function (attribute, value) {
    if (BooleanAttributes_1.BOOLEAN_ATTRIBUTES.indexOf(attribute.toLowerCase()) >= 0) {
        value = attribute;
    }
    return value;
};
function mapHtmlAttributesToReactElementAttributes(attributes) {
    return Object.keys(attributes)
        .filter((attr) => isValidTagOrAttributeName_1.isValidTagOrAttributeName(attr))
        .reduce((mappedAttributes, attribute) => {
        const lowerCaseAttribute = attribute.toLowerCase();
        const name = ReactAttributes_1.REACT_ATTRIBUTES[lowerCaseAttribute] || attribute;
        mappedAttributes[name] = getParsedAttributeValue(name, attributes[attribute]);
        return mappedAttributes;
    }, {});
}
exports.mapHtmlAttributesToReactElementAttributes = mapHtmlAttributesToReactElementAttributes;
